@import url("https://fonts.googleapis.com/css?family=Montserrat:100,200,300,400,500,600,700");
body {
    margin: 0;
    overflow: hidden;
}

a {
    text-decoration: none;
}

.wrap {
    /*max-width: 800px;*/
    margin: 0 auto;
    position: relative;
    height: 100%;
}

#content-wrap {
    height: 100%;
    position: relative;
}

/* APP CSS */
#app-container {
    font-family: "Montserrat", sans-serif;
    font-size: 10px;
    display: grid;
    height: 100vh;
    grid-template-columns: 1fr;
    grid-template-rows: auto auto 1fr auto;
    -webkit-box-shadow: 0px 5px 13px 1px #dbdbdb;
    -moz-box-shadow: 0px 5px 13px 1px #dbdbdb;
    box-shadow: 0px 5px 13px 1px #dbdbdb;
}
#app-container #header .header-item {
    position: relative;
    transition: all 0.4s;
    padding: 1em 0;
    display: grid;
    align-content: center;
    text-align: center;
    border-right: 1px solid #f1f1f2;
    font-size: 1.6em;
    font-weight: 700;
}
#app-container #header .header-item:last-child {
    border-right: none;
}

#app-container #header {
    display: grid;
    grid-template-columns: 3fr 3fr 3fr 1fr;
    padding: .5em 0;
    z-index: 1;
    -webkit-box-shadow: 0px 5px 13px 1px #dbdbdb;
    -moz-box-shadow: 0px 5px 13px 1px #dbdbdb;
    box-shadow: 0px 5px 13px 1px #dbdbdb;
}

#app-container #header .header-item a {
    color: #717074;
    transition: all 0.3s;
}

#app-container #header .header-item.active a {
    color: #e96d1f;
}

#app-container #header .header-item.active:after {
    content: "";
    position: absolute;
    top: 3em;
    left: 53%;
    margin-left: -1.5em;
    border-left: 1em solid transparent;
    border-right: 1em solid transparent;
    border-top: 1em solid #fff;
}
#app-container #header #reset {
    border-right: none;
}
#app-container #header #reset a {
    color: #006892;
}
#app-container #header #reset a:after {
    display: none;
}

#app-container #dropdown {
    display: grid;
    align-content: center;
    text-align: center;
    background: #f1f1f2;
    font-size: 1.4em;
    font-weight: 700;
    padding: 1em 0;
}


#app-container #dropdown a {
    margin: 2.5em;
    color: #969696;
}

#app-container #dropdown .active {
    color: #232323;
    text-shadow: 0 0 10px #ffffff;
}
#app-container #preview {
    /* padding: 1.5em 2em 2em 0; */
}
#app-container #preview #north {
    text-align: center;
    position: absolute;
    left: 3em;
    top: 18em;
}
#app-container #preview #north a span {
    margin-top: .5em;
    display: block;
}
#app-container #preview #north img {
    width: 7em;
    margin: 0;
    padding: 0;
}
#app-container #preview #controls {
    align-self: end;
    text-align: center;
    width: 10em;
    position: absolute;
    bottom: 15em;
    right: 3em;
    z-index: 9;
    background-color: white;
}
#app-container #preview #controls #zoom {
    margin-bottom: .5em;
}
#app-container #preview #controls #zoom a {
    color: #bebdc0;
    font-size: 1.4em;
}
#app-container #preview #controls #zoom span {
    font-size: 1em;
    color: #bebdc0;
    margin-left: .5em;
    margin-right: .5em;
}
#app-container #preview #controls a {
    color: #006892;
    font-size: 1em;
}
#app-container #preview #controls a span {
    display: block;
}
#app-container #preview #apartment-preview {
    margin: 0 auto;
    /* margin-top: 1em; */
}
/* #app-container #preview #apartment-preview img {
    width: 450px;
    max-width: 450px;
} */
#app-container #footer {
    display: grid;
    grid-template-columns: 1fr;
}
#app-container #pagination {
    background: #f1f1f2;
    text-align: center;
    padding-top: .5em;
    padding-bottom: .5em;
    font-size: 2em;
    font-weight: 600;
}
#app-container #pagination a {
    margin: 1.5em;
    color: #bebdc0;
}
#app-container #pagination a.active {
    color: black;
}
#app-container #pagination #arrow {
    color: #717074;
}
#app-container #footer-logo {
    background: #e96d1f;
    padding: 1.3em;
    position: relative;
}
#app-container #footer-logo #logo {
    max-height: 3.2em;
    float: right;
}
#app-container #toggle-left-align {
    color: white;
    font-size: 4em;
    position: absolute;
    left: .5em;
    bottom: .2em;
    cursor: pointer;
}
#app-container #toggle-left-align span:after {
    content: '‹';
}

object {
    height: calc(100vh - 22em );
    width: 100vw;
}






/* Popup */

#popup-wrap {
    font-family: "Montserrat", sans-serif;
    background-color: rgba(113, 112, 116, 0.8);
    position: absolute;
    z-index: 9;
    /*max-width: 800px;*/
    width: 100%;
    height: 100%;
    top: 0;
    right: 0;
    left: 0;
    margin-right: auto;
    margin-left: auto;
}
#popup-wrap a {
    text-decoration: none;
}

#popup {
    position: relative;
    max-width: 95%;
    top: 50%;
    transform: translateY(-50%);
    margin: 0 auto;
    background: #fff;
    display: grid;
    grid-template-columns: 2.5fr 1fr;
    font-size: 14px;
}
#popup-preview {
    padding: 2em;
    text-align: center;
}
#popup-preview #north {
    text-align: center;
}
#popup-preview img {
    width: auto;
    height: auto;
    max-height: 82vh;
    margin: 0 auto;
    max-width: 100%;
}
#popup #information {
    background-color: #f1f1f2;
    padding: 1em 3em 1em 1em;
    text-align: right;
    display: flex;
    flex-direction: column;
    /* justify-content: space-between; */
}
#popup #information #info-text h4 {
    font-size: 1.4em;
    font-weight: 700;
    color: #717074;
    text-transform: uppercase;
    margin: 0;
}
#popup #information #info-text h2 {
    font-size: 1.6em;
    font-weight: 700;
    color: #e96d1f;
    text-transform: uppercase;
    margin: 0;
}
#popup #information #info-text h3 {
    font-size: 1.4em;
    font-weight: 700;
    color: #717074;
}
#popup #information #info-text h3 span {
    color: #e96d1f;
}
#popup #information #info-text p {
    font-size: 1em;
    font-weight: 700;
    color: #717074;
}
#popup #information #info-text h5 {
    font-size: 1.2em;
    font-weight: 700;
    color: #717074;
}
#popup #information #info-text h5 span {
    display: block;
    font-weight: 600;
}
#popup #information #controls-wrap {
    text-align: center;
}
#popup #information #controls-wrap a {
    color: #e96d1f;
    text-transform: uppercase;
    font-size: 1em;
    font-weight: 700;
}
#popup #information #controls {
    text-align: center;
    margin-top: 2em;
}
#popup #information #controls #zoom {
    margin-bottom: .5em;
}
#popup #information #controls #zoom a {
    color: #bebdc0;
    font-size: 1.2em;
}
#popup #information #controls #zoom span {
    font-size: 1em;
    color: #bebdc0;
    margin-left: 5px;
    margin-right: 5px;
}
#popup #information #controls a {
    color: #006892;
    font-size: 1em;
}
#popup #information #controls a span {
    display: block;
}
#popup .close {
    color: #717074;
    font-size: 4em;
    line-height: 1;
    font-weight: 300;
    cursor: pointer;
    display: block;
    margin-bottom: 1em;
}







/* Left Aligned Design */
#app-container.left #header {
    display: block;
}
#app-container.left #header .header-item {
    display: inline-block;
    padding-left: 3em;
    padding-right: 3em;
}

#app-container.left #dropdown {
    display: block;
    text-align: left;
}
#app-container.left #pagination {
    text-align: left;
    padding-left: 3em;
}
#app-container.left #preview #controls {
    left: 3em;
}
#app-container.left #toggle-left-align span:after {
    content: '›';
}
#popup.left #close-popup {
    position: absolute;
    left: 0.5em;
    top: 0.2em;
}
#popup.left #info-text {
    margin-top: 8em;
}




/* For larger versions */
@media (min-width: 1600px) {

    #app-container {
        font-size: 15px;
    }
    #popup {
        font-size: 20px;
    }
}
@media (min-width: 2400px) {

    #app-container {
        font-size: 25px;
    }
    #popup {
        font-size: 40px;
    }
    #app-container #header .header-item {
        padding: .6em;
    }
    #app-container #header .header-item.active:after {
        top: 2.2em;
    }
}
@media (min-width: 3400px) {

    #app-container {
        font-size: 30px;
    }
    #popup {
        font-size: 40px;
    }
}



/*  For Small versions  */
@media (max-width: 850px) {

    #app-container, #popup {
        font-size: 10px;
    }
}
@media (max-width: 650px) {

    #app-container, #popup {
        font-size: 8px;
    }
}

@media (max-width: 560px) {

    #app-container, #popup {
        font-size: 8px;
    }
    #app-container #header {
        grid-template-columns: 4fr 3fr 3fr 2fr;
    }
}
@media (max-width: 440px) {
    #app-container, #popup {
        font-size: 6px;
    }
}



/* Remove bug where hover state won't leave on touch devices
 Also try https://css-tricks.com/forums/topic/conditional-css-for-touch-screen-devices/#post-178524 if necessary */
@media all and (hover: hover), not all and (any-hover: none) {
    #app-container #dropdown a:hover {
        color: #717074;
    }
    #app-container #dropdown a.active:hover {
        color: black;
    }
    #app-container #header .header-item a:hover {
        color: #e96d1f;
    }
    #app-container #pagination a:hover {
        color: #717074;
    }
    #app-container #pagination a.active:hover {
        color: black;
    }
    #app-container #preview #controls #zoom a:hover {
        color: #717074;
    }
    #app-container #toggle-left-align:hover {
        color: #bebdc0;
    }
}